aboutsummaryrefslogtreecommitdiffstats
path: root/tools/fetch_url_via_jina.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/fetch_url_via_jina.sh')
-rwxr-xr-xtools/fetch_url_via_jina.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/tools/fetch_url_via_jina.sh b/tools/fetch_url_via_jina.sh
new file mode 100755
index 0000000..add01ee
--- /dev/null
+++ b/tools/fetch_url_via_jina.sh
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+set -e
+
+# @describe Extract the content from a given URL.
+
+# @env JINA_API_KEY The api key
+# @option --url! The URL to scrape.
+
+main() {
+ curl_args=()
+ if [[ -n "$JINA_API_KEY" ]]; then
+ curl_args+=("-H" "Authorization: Bearer $JINA_API_KEY")
+ fi
+ curl -fsSL "${curl_args[@]}" "https://r.jina.ai/$argc_url" >> "$LLM_OUTPUT"
+}
+
+eval "$(argc --argc-eval "$0" "$@")"